﻿
using Syncfusion.SfNavigationDrawer.XForms;
using Syncfusion.ListView.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using Xamarin.Forms;

namespace NDrawer_NavigationPage
{
    public partial class MainPage : ContentPage
    {
        StackLayout stack;
        SfNavigationDrawer navigationDrawer;

        public MainPage()
        {
            InitializeComponent();

			SfListView listView = new SfListView();

            navigationDrawer = new SfNavigationDrawer();
            ObservableCollection<string> list = new ObservableCollection<string>();
            
            Title = "countPage";
            list.Add("Home");
            list.Add("Selection Mode");
            
            listView.ItemsSource = list;
            navigationDrawer.DrawerContentView = listView;
            Grid headerLayout = new Grid();
            headerLayout.BackgroundColor = Color.FromHex("#1aa1d6");
            Label header = new Label();
            header.Text = "Header View";
            header.FontSize = 14;
            header.TextColor = Color.White;
            header.HorizontalTextAlignment = TextAlignment.Center;
            header.VerticalTextAlignment = TextAlignment.Center;
            header.BackgroundColor = Color.FromHex("#1aa1d6");
            headerLayout.Children.Add(header);
			

            navigationDrawer.DrawerHeaderView = headerLayout;


            navigationDrawer.Position = Position.Left;
            navigationDrawer.Transition = Transition.SlideOnTop;
            navigationDrawer.DrawerWidth = 200;

            navigationDrawer.DrawerHeaderHeight = 50;

            navigationDrawer.DrawerFooterHeight = 0;
            
             stack = new StackLayout();
            Button button = new Button();
            button.Text = "NavigationDrawer";
            button.Clicked += Button_Clicked;
            stack.Children.Add(button);

           

            this.Content = navigationDrawer;

        }

        protected override void OnAppearing()
        {
            base.OnAppearing();

            navigationDrawer.ContentView = stack;
        }
        private void Button_Clicked(object sender, EventArgs e)
        {
            Navigation.PushAsync(new NDrawer_NavigationPagePage());

        }
    }
}
